Loading...
Searching...
No Matches
detail::tags_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::tags_handler:
[legend]

## Static Public Member Functions

template<typename TDummy>
static void | set_value (TagListBuilder &, const TDummy &) noexcept
static void | set_value (TagListBuilder &builder, const attr::_tag &tag)
template<typename TIterator>
static void | set_value (TagListBuilder &builder, const attr::detail::tags_from_iterator_pair< TIterator > &tags)
static void | set_value (TagListBuilder &builder, const attr::_t &tags)

## Member Function Documentation

## set_value() [1/4]

template<typename TDummy>

void detail::tags_handler::set_value | ( | TagListBuilder & | ,
|  | const TDummy & | )

inlinestaticnoexcept

## set_value() [2/4]

void detail::tags_handler::set_value | ( | TagListBuilder & | builder,
|  | const attr::_t & | tags )

inlinestatic

## set_value() [3/4]

void detail::tags_handler::set_value | ( | TagListBuilder & | builder,
|  | const attr::_tag & | tag )

inlinestatic

## set_value() [4/4]

template<typename TIterator>

void detail::tags_handler::set_value | ( | TagListBuilder & | builder,
|  | const attr::detail::tags_from_iterator_pair< TIterator > & | tags )

inlinestatic

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp